%global oversion 4.0-incubating-SNAPSHOT

Name:           apache-commons-ognl
Version:        3.0.2
Release:        2.20120313svn1102435%{?dist}
Summary:        Object Graph Navigation Library

Group:          Development/Libraries  
License:        ASL 2.0
URL:            http://commons.apache.org/ognl/
# svn export -r1102435 http://svn.apache.org/repos/asf/commons/proper/ognl/trunk/ apache-commons-ognl-3.0.2
# tar caf apache-commons-ognl-3.0.2.tar.xz apache-commons-ognl-3.0.2
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils    
BuildRequires: maven
BuildRequires: maven-surefire-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: javassist
BuildRequires: junit
BuildRequires: jna
Requires:      java
Requires:      javassist
Requires:      jpackage-utils

%description
OGNL is an expression language for getting and setting properties of
Java objects, plus other extras such as list projection and selection
and lambda expressions.

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

%build
mvn-rpmbuild install javadoc:javadoc

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/commons-ognl-%{oversion}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}
cp -rp target/site/apidocs %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE.txt NOTICE.txt
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-2.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Andy Grimm <agrimm@gmail.com> - 3.0.2-1.20120313svn1102435
- Rename and reversion package
- add jna as a BuildRequires

* Fri Feb 17 2012 Andy Grimm <agrimm@gmail.com> - 3.0.2-1
- Initial package
